Skip to main content
`Ctrl`+`K`

# DMTSSetIJacobianLocal

set a local Jacobian evaluation function

## Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSSetIJacobianLocal(DM dm, PetscErrorCode (*func)(DM, PetscReal, Vec, Vec, PetscReal, Mat, Mat, void *), void *ctx)

Logically Collective

## Input Parameters

- dm - `DM` to associate callback with

- func - local Jacobian evaluation

- ctx - optional context for local Jacobian evaluation

## See Also

TS: Scalable ODE and DAE Solvers, `DM`, `DMTSGetIJacobianLocal()`, `DMTSSetIFunctionLocal()`, `DMTSSetIJacobian()`, `DMTSSetIFunction()`

## Level

beginner

## Location

src/ts/utils/dmlocalts.c

## Examples

src/ts/tutorials/ex77.c
src/ts/tutorials/ex46.c
src/ts/tutorials/ex18.c
src/ts/tutorials/ex30.c
src/ts/tutorials/ex45.c
src/ts/tutorials/ex76.c
src/ts/tutorials/ex48.c
src/ts/tutorials/ex47.c
src/ts/tutorials/ex53.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages